%define major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticdevelname %mklibname %{name} -d -s

Summary:	XML  parser library designed for Jabber applications
Name:		iksemel
Version:	1.3
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://iksemel.googlecode.com/
Source0:	http://iksemel.googlecode.com/files/%{name}-%{version}.tar.gz
Requires(post,preun): info-install
BuildRequires:	libtool
BuildRequires:	libgnutls-devel >= 0.1.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
iksemel is an XML (eXtensible Markup Language) parser library designed for
Jabber applications. It is coded in ANSI C for POSIX compatible environments, 
thus highly portable.
 
%package -n	%{libname}
Summary:	Shared Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
iksemel is an XML (eXtensible Markup Language) parser library designed for
Jabber applications. It is coded in ANSI C for POSIX compatible environments, 
thus highly portable.

This package contains the shared %{name} library.

%package -n	%{develname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %name 3

%description -n	%{develname}
iksemel is an XML (eXtensible Markup Language) parser library designed for
Jabber applications. It is coded in ANSI C for POSIX compatible environments, 
thus highly portable.

This package contains the development library and its header files
for the %{name} library.

%package -n	%{staticdevelname}
Summary:	Static  %{name} development library
Group:		Development/C
Obsoletes:	%mklibname -s -d %name 3
Requires:	%{develname} = %version-%release

%description -n	%{staticdevelname}
iksemel is an XML (eXtensible Markup Language) parser library designed for
Jabber applications. It is coded in ANSI C for POSIX compatible environments, 
thus highly portable.

This package contains the static %{name} library.

%prep

%setup -q

%build

%configure2_5x \
    --with-libgnutls-prefix=%{_prefix}

%make

# make check barfs on x86_64
#%%check
#make check

%install
rm -rf %{buildroot}

%makeinstall

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info 

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%{_bindir}/*
%{_infodir}/%{name}*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files -n %{staticdevelname}
%defattr(-,root,root)
%{_libdir}/lib*%{name}*.a


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-3mdv2008.1
+ Revision: 170895
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Tue Jan 22 2008 Funda Wang <fundawang@mandriva.org> 1.3-2mdv2008.1
+ Revision: 156358
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Funda Wang <fundawang@mandriva.org> 1.3-1mdv2008.1
+ Revision: 116648
- New version 1.3

* Sun Sep 16 2007 Funda Wang <fundawang@mandriva.org> 1.2-3mdv2008.0
+ Revision: 87949
- fix bu#26905
- New devel package policy

* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2008.0
+ Revision: 54741
- Import iksemel



* Mon Jun 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2007.0
- spec file attack

* Sun Dec 11 2005 Emmanuel Blindauer <blindauer@mandriva.org> 1.2-1mdk
- First Mandrakelinux release
